> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription By Id

> Returns a donor subscription by its Id.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json get /api/v3/subscriptions/{donorId}/{subscriptionId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/subscriptions/{donorId}/{subscriptionId}:
    get:
      tags:
        - Subscriptions
      summary: Get Subscription By Id
      description: Returns a donor subscription by its Id.
      operationId: OpenApiSubscriptionsController_getSubscriptionById
      parameters:
        - name: donorId
          required: true
          in: path
          description: The Id of the donor to get the subscription for.
          schema:
            example: 2ea1ae03ca521e437db76d76
            type: string
        - name: subscriptionId
          required: true
          in: path
          description: The Id of the subscription to get.
          schema:
            example: 2ea1ae03ca521e437db76d76
            type: string
      responses:
        '200':
          description: Subscription
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubscriptionResponse'
        '400':
          description: Invalid request parameters
        '404':
          description: Subscription not found
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    GetSubscriptionResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Subscription Id.
              example: 6710f34fd5061afeec3eab57
            donorId:
              type: string
              description: Id of the Donor Profile.
              example: 6710f34fd5061afeec3eab57
            createdAt:
              type: string
              format: date-time
              description: Subscription created at.
              example: '2025-01-01T00:00:00.000Z'
            updatedAt:
              type: string
              format: date-time
              description: Subscription updated at.
              example: '2025-01-01T00:00:00.000Z'
            startDate:
              type: string
              format: date-time
              description: Subscription start date.
              example: '2025-01-01T00:00:00.000Z'
            status:
              type: string
              enum:
                - active
                - failed
                - inactive
                - paused
                - pending
                - recreated
              description: Subscription status.
              example: active
            amount:
              type: number
              description: Subscription amount.
              example: 50
            donorCoveredFees:
              default: false
              type: boolean
              description: Whether the donor is covering fees.
              example: false
            anonymous:
              type: boolean
              description: Whether the donor wants the subscription to be anonymous.
              example: false
            frequency:
              type: string
              enum:
                - biweekly
                - monthly
                - weekly
              description: Subscription frequency.
              example: weekly
            nextPaymentDate:
              type: string
              format: date-time
              nullable: true
              description: Subscription next payment date.
              example: '2025-01-01T00:00:00.000Z'
            paymentMethod:
              type: object
              properties:
                id:
                  type: string
                holderName:
                  type: string
                type:
                  type: string
                  enum:
                    - bank
                    - card
                    - wallet
                last4:
                  type: string
                expiration:
                  type: string
              required:
                - id
                - type
                - last4
                - expiration
              description: Subscription payment method.
              example:
                id: 6710f34fd5061afeec3eab57
                holderName: John Doe
                type: card
                last4: '4242'
                expiration: 12/2025
            campaign:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
              required:
                - id
                - name
              nullable: true
              description: Campaign details for the contribution
              example:
                id: 7710f34fd5061afeec3eab78
                name: Mission 2025
            subcampaign:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
              required:
                - id
                - name
              nullable: true
              description: Subcampaign details for the contribution
              example:
                id: 7710f34fd5061afeec3eab79
                name: Toy Drive
            metadata:
              type: object
              additionalProperties:
                type: string
              nullable: true
              description: Merchant-defined metadata.
              example:
                orderId: abc-123
            locationId:
              type: string
              nullable: true
              description: Id of the Location associated with the subscription.
              example: 6710f34fd5061afeec3eab57
          required:
            - id
            - donorId
            - createdAt
            - updatedAt
            - startDate
            - status
            - amount
            - anonymous
            - frequency
            - nextPaymentDate
            - paymentMethod
            - campaign
            - subcampaign
          description: Subscription.
      required:
        - data
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````